RMIIIOPServerImpl (Java SE 17 & JDK 17)
Description: declaration: module: java.management.rmi, package: javax.management.remote.rmi, class: RMIIIOPServerImpl
Keywords: javax.management.remote.rmi.RMIIIOPServerImpl class

Module java.management.rmi
Package javax.management.remote.rmi

# Class RMIIIOPServerImpl

java.lang.Object
javax.management.remote.rmi.RMIServerImpl
javax.management.remote.rmi.RMIIIOPServerImpl

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`, `Remote`, `RMIServer`

@Deprecated public class RMIIIOPServerImpl extends RMIServerImpl
Deprecated.
This transport is no longer supported.

An `RMIServerImpl` that is exported through IIOP and that creates client connections as RMI objects exported through IIOP. User code does not usually reference this class directly.

Since:
  1.5
See Also:
  - `RMIServerImpl`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RMIIIOPServerImpl(Map<String,?> env)`
  Deprecated.
  Throws UnsupportedOperationException

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `closeClient(RMIConnection client)`
  Deprecated.
  Closes a client connection made by `makeClient`.
  `protected void`
  `closeServer()`
  Deprecated.
  Called by `RMIServerImpl.close()` to close the connector server.
  `protected void`
  `export()`
  Deprecated.
  Exports this RMI object.
  `protected String`
  `getProtocol()`
  Deprecated.
  Returns the protocol string for this object.
  `protected RMIConnection`
  `makeClient(String connectionId, Subject subject)`
  Deprecated.
  Creates a new client connection.
  `Remote`
  `toStub()`
  Deprecated.
  Returns a remotable stub for this server object.

  ### Methods declared in class javax.management.remote.rmi.RMIServerImpl

  `clientClosed, close, getDefaultClassLoader, getMBeanServer, getVersion, newClient, setDefaultClassLoader, setMBeanServer`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### RMIIIOPServerImpl

    public RMIIIOPServerImpl(Map<String,?> env) throws IOException
    Deprecated.
    Throws UnsupportedOperationException
    Parameters:
      `env` - the environment containing attributes for the new `RMIServerImpl`. Can be null, which is equivalent to an empty Map.
    Throws:
      `IOException` - if the RMI object cannot be created.

- ## Method Details

  - ### export

    protected void export() throws IOException
    Deprecated.
    Description copied from class: `RMIServerImpl`

    Exports this RMI object.

    Specified by:
      `export` in class `RMIServerImpl`
    Throws:
      `IOException` - if this RMI object cannot be exported.

  - ### getProtocol

    protected String getProtocol()
    Deprecated.
    Description copied from class: `RMIServerImpl`

    Returns the protocol string for this object. The string is `rmi` for RMI/JRMP.

    Specified by:
      `getProtocol` in class `RMIServerImpl`
    Returns:
      the protocol string for this object.

  - ### toStub

    public Remote toStub() throws IOException
    Deprecated.
    Description copied from class: `RMIServerImpl`
    Returns a remotable stub for this server object.
    Specified by:
      `toStub` in class `RMIServerImpl`
    Returns:
      a remotable stub.
    Throws:
      `IOException` - if the stub cannot be obtained - e.g the RMIServerImpl has not been exported yet.

  - ### makeClient

    protected RMIConnection makeClient(String connectionId, Subject subject) throws IOException
    Deprecated.
    Description copied from class: `RMIServerImpl`

    Creates a new client connection. This method is called by the public method `RMIServerImpl.newClient(Object)`.

    Specified by:
      `makeClient` in class `RMIServerImpl`
    Parameters:
      `connectionId` - the ID of the new connection. Every connection opened by this connector server will have a different ID. The behavior is unspecified if this parameter is null.
      `subject` - the authenticated subject. Can be null.
    Returns:
      the newly-created `RMIConnection`.
    Throws:
      `IOException` - if the new client object cannot be created or exported.

  - ### closeClient

    protected void closeClient(RMIConnection client) throws IOException
    Deprecated.
    Description copied from class: `RMIServerImpl`

    Closes a client connection made by `makeClient`.

    Specified by:
      `closeClient` in class `RMIServerImpl`
    Parameters:
      `client` - a connection previously returned by `makeClient` on which the `closeClient` method has not previously been called. The behavior is unspecified if these conditions are violated, including the case where `client` is null.
    Throws:
      `IOException` - if the client connection cannot be closed.

  - ### closeServer

    protected void closeServer() throws IOException
    Deprecated.
    Description copied from class: `RMIServerImpl`

    Called by `RMIServerImpl.close()` to close the connector server. After returning from this method, the connector server must not accept any new connections.

    Specified by:
      `closeServer` in class `RMIServerImpl`
    Throws:
      `IOException` - if the attempt to close the connector server failed.